import type { _FSResource } from "./FSResource.js";
import type { _NSURL } from "../Foundation/NSURL.js";
export declare class _FSPathURLResource extends _FSResource {
    static alloc(): _FSPathURLResource;
    static new(): _FSPathURLResource;
    init(): _FSPathURLResource;
    /**
     * Creates a path URL resource. - Parameters: - URL: A URL in the system file space that represents the contents of a file system. This parameter uses the `file:` scheme. - writable: A Boolean value that indicates whether the file system supports writing to the contents of the URL.
     */
    initWithURL$writable$(URL: _NSURL, writable: boolean): _FSPathURLResource;
    /** The URL represented by the resource. */
    url(): _NSURL;
    writable(): boolean;
}
